"use strict";
const common_vendor = require("../../common/vendor.js");
const CUSTOMER_house_select_model = require("./model.js");
const gen_Apis = require("../../gen/Apis.js");
const common_libraries_apiLoading = require("../../common/libraries/apiLoading.js");
const getList = () => {
  var _a, _b;
  common_libraries_apiLoading.getApiLoading(gen_Apis.Apis.Grid.Grids.GridSelectHouse, (_b = (_a = CUSTOMER_house_select_model.useModel) == null ? void 0 : _a.formData) == null ? void 0 : _b.value).then((res) => {
    CUSTOMER_house_select_model.useModel.listData.value = res == null ? void 0 : res.data;
    console.log(res);
  });
};
const method = {
  handleSearch() {
    CUSTOMER_house_select_model.useModel.formData.value.page = 1;
    getList();
  },
  handleSelect(e) {
    var _a, _b, _c, _d, _e, _f;
    common_vendor.index.navigateTo({
      url: `/CUSTOMER/house_Identity/index?phone=${(_c = (_b = (_a = CUSTOMER_house_select_model.useModel) == null ? void 0 : _a.pageFormData) == null ? void 0 : _b.value) == null ? void 0 : _c.phone}&name=${(_f = (_e = (_d = CUSTOMER_house_select_model.useModel) == null ? void 0 : _d.pageFormData) == null ? void 0 : _e.value) == null ? void 0 : _f.name}&asset_houses_id=${e == null ? void 0 : e.value}&full_name=${e == null ? void 0 : e.label}`
    });
    console.log(e);
  }
};
exports.method = method;
